Subject: RE: [XCON] Feedback requested: draft-boulton-xcon-uri-00

From: "Even, Roni" <[email-masked]>
Date: Sun, 3 Dec 2006 17:15:28 +0200

Hi,
I read the draft and my view is that the conference object identifier is an XCON entity, it may be used for defining the conference name (user part) for a signaling protocol like SIP but this is not mandatory. Even in the example the conference access using signaling may be done using a SIP URI or a Phone number.
The major purpose of the identifier is for the XCON conference object. I am not sre it saves something to have a pre-defined mapping since anyhow you list the conference call signaling access in the document itself.

Another point to consider is that the conference call signaling access (SIP URI, PSTN) may be the same for all conferences when using two stage dialing (IVR), it may get a unique identifier only after the conference is established but not when it is reserved. See RFC 4579 section 5.3 for such a flow for SIP systems.

Roni Even 

> -----Original Message-----
> From: Lorenzo Miniero [mailto:[email-masked]]
> Sent: Thursday, November 30, 2006 9:57 PM
> To: [email-masked]
> Subject: Re: [XCON] Feedback requested: draft-boulton-xcon-uri-00
> 
> Hi Mary,
> 
> > Per discussions at IETF-67, here's the reminder that we'd like feedback
> > on this draft:
> > http://www.ietf.org/internet-drafts/draft-boulton-xcon-uri-00.txt
> >
> > This document defines a URI scheme and syntax for the conference object
> > identifier, as defined in "A Framework and Data Model for Centralized
> > Conferencing".
> >
> > This identifier has been a fundamental concept in the XCON framework
> > from the beginning and seems quite necessary. I think this draft is
> > fairly complete and the identifier itself is already part of the data
> > model, as pointed out by Oscar.
> >
> > So, the questions would be how much more detail is necessary in this
> > document and can it be accepted as a WG document?
> >
> > Regards,
> > Mary
> >
> > _______________________________________________
> > XCON mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/xcon
> >
> 
> 
> I absolutely agree on the fact that such an identifier was needed in the
> framework, and I'm glad that it has been proposed. What I still don't
> understand after having the draft read, and I take advantage of this new
> draft proposal to repeat a question I made some weeks ago on this ML and
> got ignored: considering the conference joining matter, will this URI be
> directly used to join conferences using a message of the
> soon-to-come-CCP, or will only its unique token be used to compose
> signaling URIs to access conferences using the relative CSP (e.g.
> xcon:123@xxx --> sip:123@xxx)?
> I ask this since I consider the joining method matter very important in
> a framework that by definition will (should?) not depend upon a specific
> CSP for media, besides the fact that a running XCON conference could be
> text-only as well, which would make a CSP almost useless. I personally
> think (and I ask the opinion of you all about that) that it could very
> well be a message of the CCP, which would allow an user to join the
> conference as an 'abstract' object, with no set of resources accessed
> yet (e.g. still no audio/video/text/etc) until the user states its will
> to access one or more of them by means of the respective CSP (accessing
> the URIs as mapped in this draft), or with some resource always
> available by default upon joining (text, for example) and others that
> can be latterly requested and accessed.
> 
> Hope to hear from you soon, cheers,
> 
> Lorenzo
> 
> --
> Lorenzo Miniero, Junior Researcher
> Dipartimento di Informatica e Sistemistica
> Università degli Studi di Napoli "Federico II"
> Via Claudio 21 -- 80125 Napoli (Italy)
> Phone: +390817683821 - Fax: +390817683816
> Email: [email-masked]
> 
> _______________________________________________
> XCON mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/xcon
> 
> 
> 
> 
> 
> **************************************************************************
> **********
> This footnote confirms that this email message has been scanned by
> PineApp Mail-SeCure for the presence of malicious code, vandals & computer
> viruses.
> **************************************************************************
> **********
> 
> 

_______________________________________________
XCON mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/xcon